﻿using UnityEngine;
using System.Collections;

public class MovimentarCarro : MonoBehaviour {

	public Transform alvo1, alvo2;

	public static bool possoAndar;
	public static bool possuoAutorização;

	float velocidade;

	public Material [] farol = new Material[3];
	public Texture farolVermelho, farolAmarelo, farolVerde;

	// Use this for initialization
	void Start () {

		farol [0].mainTexture = farolVermelho;
		farol [1].mainTexture = farolAmarelo;
		farol [2].mainTexture = farolAmarelo;

		transform.position = alvo1.position;
		possoAndar = false;
		possuoAutorização = false;
	}

	// Update is called once per frame
	void Update () {
		if(Input.GetKey (KeyCode.LeftArrow) && possuoAutorização == true) {
			print (Input.GetKey (KeyCode.LeftArrow) && possuoAutorização == true);
			possoAndar = true;
		}

		else if (possoAndar == true) {
			farol [0].mainTexture = farolAmarelo;
			farol [2].mainTexture = farolVerde;

			velocidade = 1f * Time.deltaTime;
			transform.position = Vector3.MoveTowards (transform.position, alvo2.position, velocidade);

			if (Vector3.Distance (transform.position, alvo2.position) < 0.1f) {
				possoAndar = false;
				possuoAutorização = false;
			}
		}

		else if(possoAndar == false){
			farol [0].mainTexture = farolVermelho;
			farol [2].mainTexture = farolAmarelo;
		}
	}
}
