﻿using UnityEngine;
using System.Collections;

public class RotHelice : MonoBehaviour {

	//Velocidade de rotacao do eixo
	private float velocidadeRotacao;

	//Fisica do eixo
	public Rigidbody eixo1, eixo2, eixo3;

	//Audio Source camera
	//public AudioSource audioCamera;

	//High Pass Camera
	//public AudioHighPassFilter highPassCamera;

	//public AudioClip audioBasico1;

	public Material gerador;
	public Texture texturaGeradorLigado, texturaGeradorDesligado;

	public static bool possoResetar;

	void Start(){

		possoResetar = false;

		//Setando velocidade inicial
		velocidadeRotacao = 0.1f * Time.deltaTime;

		//Aplicando audio
		//audioCamera.clip = audioBasico1;

		//Configuração inicial HighPass
		//highPassCamera.cutoffFrequency = 1200;
		//highPassCamera.highpassResonanceQ = 8;

		//Setando textura desligado
		gerador.mainTexture = texturaGeradorDesligado;
	}

	// Update is called once per frame
	void FixedUpdate () {

		//Se o jogador estiver pressionando a tecla seta para direita
		if (Input.GetKey (KeyCode.LeftArrow) && PosicaoCamera.posicaoJogador == 1) {

			//Setando visualizacao dos botoes como falso
			if (PosicaoCamera.possoDesabilitarBotoes == false) {
				PosicaoCamera.possoDesabilitarBotoes = true;
			}

			//Aplica força para a rotação do eixo z
			eixo1.AddTorque (new Vector3 (0, 0, velocidadeRotacao), ForceMode.Force);
			eixo2.AddTorque (new Vector3 (0, 0, velocidadeRotacao), ForceMode.Force);
			eixo3.AddTorque (new Vector3 (0, 0, velocidadeRotacao), ForceMode.Force);

			if (SomJogo.loopsDoJogo == 6) {
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 1.8f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			}

			else if (SomJogo.loopsDoJogo == 5) {
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 1.3f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			}

			if (SomJogo.loopsDoJogo == 4) {
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 1f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			}

			else if (SomJogo.loopsDoJogo == 3){
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 0.8f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			}

			else if (SomJogo.loopsDoJogo == 2){
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 0.6f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			} else {
				//Aumenta progressivamente a rotacao
				velocidadeRotacao += 0.4f * Time.deltaTime;
				//transform.Rotate (0, 0, velocidadeRotacao);
			}

			//Diminui o cutoffFrequency
			SomJogo.highPassCamera.cutoffFrequency -= velocidadeRotacao;

		} 

		if (velocidadeRotacao >= 4.5f) {
			gerador.mainTexture = texturaGeradorLigado;

			MovimentarParticula1.possoExibirParticula1 = true;
		}

		if (possoResetar == true) {
			//Setando velocidade inicial
			//velocidadeRotacao = 0.1f * Time.deltaTime;

			gerador.mainTexture = texturaGeradorDesligado;

			MovimentarParticula1.possoExibirParticula1 = false;

			possoResetar = false;

		}
		print (velocidadeRotacao);
	}
}
