﻿using UnityEngine;
using System.Collections;

public class SomJogo : MonoBehaviour {

	//Audio Source Camera
	private AudioSource audioCamera;

	//High Pass Camera
	public static AudioHighPassFilter highPassCamera;

	public AudioClip pattern1, pattern2, pattern3, pattern4, pattern5;
	private int idSom;

	float tempo;

	float tempoAudio;

	int loop;

	private bool audioEstaExecutando;

	public static int loopsDoJogo;

	// Use this for initialization
	void Start () {

		loopsDoJogo = 0;

		audioCamera = GetComponent<AudioSource> ();
		highPassCamera = GetComponent<AudioHighPassFilter> ();

		//Aplicando audio
		audioCamera.clip = pattern1;

		//Configuração inicial HighPass
		highPassCamera.cutoffFrequency = 1000;
		highPassCamera.highpassResonanceQ = 1;

		loop = 0;

		audioEstaExecutando = false;

		idSom = 1;
	}

	// Update is called once per frame
	void Update () {

		tempo = tempo + 1 * Time.deltaTime;

		if (audioEstaExecutando == false) {
			tempoAudio = audioCamera.clip.length;
			audioCamera.Play ();
			audioEstaExecutando = true;
		}

		print ("Tempo Audio: " + tempoAudio);

		print ("Tempo= " + tempo + " - " + "TempoAudio= " + tempoAudio);
		if (tempo >= tempoAudio) {
			tempo = 1 * Time.deltaTime;
			loop += 1;

			print ("ID Audio: " + idSom);
		}

		//if (idSom == 1 && loop > 3 && MovimentarParticula1.possoExibirParticula1 == true) {
		if (idSom == 1 && loop >= 2 && MovimentarParticula1.possoExibirParticula1 == true) {

			audioCamera.loop = false;

			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern2;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				PosicaoCamera.posicaoJogador = 2;
				MovimentarParticula2.possoExibirParticula2 = true;

				loop = 0;
				idSom = 2;
			}
		} else if (idSom == 1 && loop > 3) {
			loop = 0;			
		} else if (idSom == 2 && loop >= 0) {
			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern3;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();
				audioCamera.loop = true;

				loop = 0;
				idSom = 3;

				PosicaoCamera.posicaoJogador = 3; //3
				MovimentarParticula3.possoExibirParticula3 = true;

				MovimentarCarro.possoAndar = true;

			}
		} else if (idSom == 3 && loop >= 2) {
			audioCamera.loop = false;

			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern4;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				loop = 0;
				idSom = 4;

				MovimentarParticula3.possoExibirParticula3 = false;
				PosicaoCamera.posicaoJogador = 4;

				Lampada.possoArrumarLampada = true;

			}
		} else if (idSom == 4 && loop >= 0) {
			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern5;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				loop = 0;
				idSom = 5;
			}
		} else if (idSom == 5 && loop >= 0) {
			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern4;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				loop = 0;
				idSom = 6;

				//Lampada.possoArrumarLampada = false;

				if (Lampada.lampadaEstaAcessa == true) {
					PosicaoCamera.posicaoJogador = 5;
				}
			}
		} /*else if (Lampada.lampadaEstaAcessa == true) {			
			PosicaoCamera.posicaoJogador = 5;

		}*/ else if (idSom == 6 && loop >= 0 && PosicaoCamera.cameraSizeEstaOk == true) {

			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern1;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				audioCamera.loop = true;

				loop = 0;
				idSom = 1;

				loopsDoJogo++;

				if (Lampada.lampadaEstaAcessa == true) {
					PosicaoCamera.posicaoJogador = 1;
				}

			}
		} 
		else if(idSom == 6 && loop >= 0){
			if (!audioCamera.isPlaying) {
				audioCamera.clip = pattern5;
				tempoAudio = audioCamera.clip.length;
				audioCamera.Play ();

				audioCamera.loop = false;

				loop = 0;
				idSom = 5;
			}
		}
	}
	/*
	void OnGUI(){
		GUI.Label (new Rect (10, 10, 100, 100), "Loops: " + loop + " |  ID Audio: " + idSom + " | Tamanho audio: " + tempoAudio + " | LOOPS DO JOGO: " + loopsDoJogo);
	}*/
}
