﻿using UnityEngine;
using System.Collections;

public class Lampada : MonoBehaviour {

	private Animator anima;
	public static bool possoArrumarLampada;
	public static bool lampadaEstaAcessa;

	public Light lampada;

	// Use this for initialization
	void Start () {
		anima = GetComponent<Animator> ();
		possoArrumarLampada = false;

		lampada.enabled = false;

		lampadaEstaAcessa = false;
	}

	// Update is called once per frame
	void Update () {

		if (Input.GetKeyDown (KeyCode.UpArrow) && possoArrumarLampada == true) {

			if (anima.GetCurrentAnimatorStateInfo (0).IsName ("AguardandoReposicao")) {
				anima.SetTrigger ("jogadorRecolocouLampada");
				possoArrumarLampada = false;
				lampada.enabled = true;

				lampadaEstaAcessa = true;
			}
		}
		/*
		if(anima.GetCurrentAnimatorStateInfo (0).IsName ("AcenderLampada") && lampadaEstaAcessa == true){
			lampada.enabled = true;
		}*/
	}
}
