﻿using UnityEngine;
using System.Collections;
using UnityEngine.UI;

public class PosicaoCamera : MonoBehaviour {

	public static int posicaoJogador;

	public Transform [] alvo = new Transform[5];

	private Camera cameraSize;
	public static bool cameraSizeEstaOk;

	float tempo;

	public SpriteRenderer botoes, creditos;
	public static bool possoDesabilitarBotoes;

	// Use this for initialization
	void Start () {

		cameraSize = GetComponent<Camera> ();

		cameraSizeEstaOk = false;
		posicaoJogador = 1;

		botoes.enabled = true;
		creditos.enabled = true;
	}

	// Update is called once per frame
	void Update () {

		tempo += 1f * Time.deltaTime;

		if (posicaoJogador == 1) {
			transform.position = alvo [0].position;
			transform.rotation = alvo [0].rotation;

			if(cameraSizeEstaOk == false){
				cameraSize.orthographicSize = 1.2f;
			}
		}
		else if(posicaoJogador == 2) {
			transform.position = alvo [1].position;
			transform.rotation = alvo [1].rotation;
		}
		else if(posicaoJogador == 3) {
			transform.position = alvo [2].position;
			transform.rotation = alvo [2].rotation;

			MovimentarCarro.possuoAutorização = true;
		}
		else if(posicaoJogador == 4) {
			transform.position = alvo [3].position;
			transform.rotation = alvo [3].rotation;
		}
		else if(posicaoJogador == 5) {
			transform.position = alvo [4].position;
			transform.rotation = alvo [4].rotation;
		}

		//Desabilitando visualizacao dos botoes
		if (possoDesabilitarBotoes == true) {
			botoes.enabled = false;
			creditos.enabled = false;
		}
		//Estava while
		if (posicaoJogador == 5 && tempo > 3f && cameraSizeEstaOk == false) {
			cameraSize.orthographicSize = 0.20f;
			cameraSizeEstaOk = true;
		}

		if (posicaoJogador == 1 && cameraSizeEstaOk == true) {
			cameraSize.orthographicSize = 1.2f;
			cameraSizeEstaOk = false;
		}
	}
	/*
	void OnGUI(){
		GUI.Label (new Rect (10, 500, 100, 100), "Posicao camera: " + posicaoJogador);
	}*/
}
